<h2>XFBML (eXtended Facebook Markup Language)</h2>

<p>
Es gibt mehrere Social Plugins, wie z.B. Kommentare und Live Stream, die die Verwendung von XFBML (eXtended Facebook Markup Language) verlangen. 
XFBML ist ein Satz von XML-Elementen, die in den HTML-Seiten enthalten sein können, um Social Plugins anzuzeigen. 
Wenn die Seite geladen wird, werden alle XFBML Elemente in dem Dokument gefunden und von der JavaScript SDK verarbeitet, 
so dass das entsprechende Plugin auf der Seite angezeigt wird. 
Alle Social Plugins werden auch als XFBML-Version angeboten. 
</p>

<h3>Like Button unter Verwendung von XFBML:</h3>

<h3>Code</h3>
<pre>
<?php echo htmlentities('<div id="fb-root"></div>
<script>
// Load the SDK Asynchronously
(function(d){
   var js, id = \'facebook-jssdk\', ref = d.getElementsByTagName(\'script\')[0];
   if (d.getElementById(id)) {return;}
   js = d.createElement(\'script\'); js.id = id; js.async = true;
   js.src = "//connect.facebook.net/en_US/all.js#xfbml=1";
   ref.parentNode.insertBefore(js, ref);
 }(document));
</script>

<div class="fb-like"></div>', ENT_QUOTES); ?>
</pre>

<h3>Ergebnis</h3>

<div id="fb-root"></div>
<script>
// Load the SDK Asynchronously
(function(d){
   var js, id = 'facebook-jssdk', ref = d.getElementsByTagName('script')[0];
   if (d.getElementById(id)) {return;}
   js = d.createElement('script'); js.id = id; js.async = true;
   js.src = "//connect.facebook.net/en_US/all.js#xfbml=1";
   ref.parentNode.insertBefore(js, ref);
 }(document));
</script>

<div class="fb-like"></div>

<h3>Optionen</h3>

<a href="https://developers.facebook.com/docs/guides/web/" target="_blank">Getting Started › Facebook for Websites</a>